Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.PenCapStyle

    java.lang.Object
      java.lang.Enum<Qt.PenCapStyle>
          com.trolltech.qt.core.Qt.PenCapStyle

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.PenCapStyle>

Enclosing interface:
  Qt

    public static enum Qt.PenCapStyle

extends java.lang.Enum<Qt.PenCapStyle>
implements QtEnumerator

This enum type defines the pen cap styles supported by Qt, i.e. the line end caps that can be drawn using `QPainter`.

Qt::SquareCap | Qt::FlatCap | Qt::RoundCap

See Also:
  `QPen`

Enum Constant Summary
`FlatCap` a square line end that does not cover the end point of the line.
`MPenCapStyle` Internal.
`RoundCap` a rounded line end.
`SquareCap` a square line end that covers the end point and extends beyond it by half the line width.

Method Summary
`static Qt.PenCapStyle` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.PenCapStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.PenCapStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FlatCap

    public static final Qt.PenCapStyle FlatCap

  a square line end that does not cover the end point of the line.

### SquareCap

    public static final Qt.PenCapStyle SquareCap

  a square line end that covers the end point and extends beyond it by half the line width.

### RoundCap

    public static final Qt.PenCapStyle RoundCap

  a rounded line end.

### MPenCapStyle

    public static final Qt.PenCapStyle MPenCapStyle

  Internal.

Method Detail

### values

    public static final Qt.PenCapStyle[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.PenCapStyle c : Qt.PenCapStyle.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.PenCapStyle valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.PenCapStyle resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD